Debian Bug report logs - #123987
Vesa and Framebuffer

version graph

Package: kernel-image-2.4.16-i386; Maintainer for kernel-image-2.4.16-i386 is (unknown);

Reported by: Eduard Bloch <edi@gmx.de>

Date: Fri, 14 Dec 2001 15:18:02 UTC

Severity: normal

Tags: pending

Merged with 104101, 134220, 161931

Fixed in version kernel-image-2.4.20-i386/2.4.20-1

Done: Herbert Xu <herbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel-image-2.4.16-686. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
New Bug report received and forwarded. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: OliverFuchs1@aol.com
Cc: submit@bugs.debian.org
Subject: Re: Vesa and Framebuffer
Date: Fri, 14 Dec 2001 16:07:27 +0100
Package: kernel-image-2.4.16-686
Severity: normal

> I try to run the woody kernel image 2.4.9-686 hoping to change the console 
> resolution from 680 to 1024x768. I know that i therefore need the vesa stuff 
> ... compiling the kernel souce 2.4.9 by myself with non-modular entries for 
> frambuffer and vega modes everything works fine with vga=791 on boot prompt 

Confirmed, there is no VESA support in any kernel-image-2.4.x packaged
by Herbert Xu. Should be included, since there is currently no way to load
it as module.

Gruss/Regards,
Eduard.
-- 
<weasel> for i in *; do if ( cat $i | grep -q hallo ); then echo $i; fi; done
[einen Tag später]
-:- Topic (#debian.de): changed by _shorty_: Award fuer useless use of cat an
                                             Weasel verliehen. :)




Reply sent to Herbert Xu <herbert@gondor.apana.org.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <edi@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 123987-done@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: 123987-done@bugs.debian.org
Subject: Re: Bug#123987: Vesa and Framebuffer
Date: Sat, 15 Dec 2001 08:02:19 +1100
On Fri, Dec 14, 2001 at 04:07:27PM +0100, Eduard Bloch wrote:
> Package: kernel-image-2.4.16-686
> Severity: normal
> 
> > I try to run the woody kernel image 2.4.9-686 hoping to change the console 
> > resolution from 680 to 1024x768. I know that i therefore need the vesa stuff 
> > ... compiling the kernel souce 2.4.9 by myself with non-modular entries for 
> > frambuffer and vega modes everything works fine with vga=791 on boot prompt 
> 
> Confirmed, there is no VESA support in any kernel-image-2.4.x packaged
> by Herbert Xu. Should be included, since there is currently no way to load
> it as module.

The Debian kernels will never include this since it breaks on some machines.

If you need it, compile your own kernel.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel-image-2.4.16-686. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #15 received at 123987@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 123987@bugs.debian.org
Subject: Re: Bug#123987 acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Fri, 14 Dec 2001 22:43:22 +0100
reopen 123987
thanks

#include <hallo.h>
Debian Bug Tracking System wrote on Fri Dec 14, 2001 um 03:03:05PM:
> > Confirmed, there is no VESA support in any kernel-image-2.4.x packaged
> > by Herbert Xu. Should be included, since there is currently no way to load
> > it as module.
> 
> The Debian kernels will never include this since it breaks on some machines.
> 
> If you need it, compile your own kernel.

WTF? VESA support is not enabled by-default. AFAIK it does not even look for
existing VESA hardware unless the user forces it with kernel boot parameters.

Gruss/Regards,
Eduard.
-- 
Fernsehen ist das einzige Schlafmittel,
das mit den Augen eingenommen wird.




Bug reopened, originator not changed. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Eduard Bloch <edi@gmx.de> Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel-image-2.4.16-686. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #24 received at 123987@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Eduard Bloch <edi@gmx.de>, 123987@bugs.debian.org
Subject: Re: Bug#123987: acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Sat, 15 Dec 2001 09:26:13 +1100
On Fri, Dec 14, 2001 at 10:43:22PM +0100, Eduard Bloch wrote:
> reopen 123987
> thanks
> 
> WTF? VESA support is not enabled by-default. AFAIK it does not even look for
> existing VESA hardware unless the user forces it with kernel boot parameters.

OK, I was thinking of VGA16.  I will look into this.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Bug reopened, originator not changed. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `minor'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel-image-2.4.16-686. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #33 received at 123987@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Eduard Bloch <edi@gmx.de>, 123987@bugs.debian.org
Subject: Re: Bug#123987: acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Sat, 15 Dec 2001 10:21:20 +1100
severity 123987 wishlist
reassign 123987 kernel
quit

On Sat, Dec 15, 2001 at 12:07:36AM +0100, Eduard Bloch wrote:
>
> And why closing? It can be opened while you are looking...

That was sent before I got your explanation for reopening.

Anyhow, what needs to be done is for vesafb to be modularised, then it
will be included.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Severity set to `wishlist'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.16-686' to `kernel'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #42 received at 123987@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Herbert Xu <herbert@gondor.apana.org.au>
Cc: 123987@bugs.debian.org
Subject: Re: Bug#123987: acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Sun, 16 Dec 2001 02:05:14 +0100
#include <hallo.h>
Herbert Xu wrote on Sat Dec 15, 2001 um 10:21:20AM:

> Anyhow, what needs to be done is for vesafb to be modularised, then it
> will be included.

Look, the driver is not designed to be modularised. It can switch the
mode only once at system start. OTOH it would make kernel-image only few
kilobytes larger, so I don't think it would be a real problem including
it in default kernel-image packages. I think since the
kernel-image-2.4.x have almost all drivers as modules, many people do
not like to recompile just to get the framebuffer device running. OTOH
some other people may depend on it, so we should not break their
configuration. A friend reported that if you have VESA-enabling options
in your boot config, and you did not care and you take an official
kernel-image package, you will get black screen but not rejection of the
video mode.

Gruss/Regards,
Eduard.
-- 
Do bl Sp ce is a v ry saf  me hod of driv  compr s ion




Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #47 received at 123987@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Eduard Bloch <edi@gmx.de>
Cc: 123987@bugs.debian.org
Subject: Re: Bug#123987: acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Sun, 16 Dec 2001 15:20:36 +1100
On Sun, Dec 16, 2001 at 02:05:14AM +0100, Eduard Bloch wrote:
> 
> Look, the driver is not designed to be modularised. It can switch the
> mode only once at system start. OTOH it would make kernel-image only few

Nope, the mode switching is independent of whether the VESAFB driver is
included or not.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #52 received at 123987@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Herbert Xu <herbert@gondor.apana.org.au>
Cc: 123987@bugs.debian.org
Subject: Re: Bug#123987: acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Sun, 16 Dec 2001 10:10:41 +0100
#include <hallo.h>
Herbert Xu wrote on Sun Dec 16, 2001 um 03:20:36PM:
> > Look, the driver is not designed to be modularised. It can switch the
> > mode only once at system start. OTOH it would make kernel-image only few
> 
> Nope, the mode switching is independent of whether the VESAFB driver is
> included or not.

I wish this would be so. But try yourself - take one of your images and
specify vga=317 at boot prompt -> BLACK SCREEN.

Gruss/Regards,
Eduard.
-- 
!netgod:*! time flies when youre using linux
!doogie:*! yeah, infinite loops in 5 seconds.
!Teknix:*! has anyone re-tested that with 2.2.x ?
!netgod:*! yeah, 4 seconds now




Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #57 received at 123987@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Eduard Bloch <edi@gmx.de>, 123987@bugs.debian.org
Subject: Re: Bug#123987: acknowledged by developer (Re: Bug#123987: Vesa and Framebuffer)
Date: Sun, 16 Dec 2001 21:35:07 +1100
On Sun, Dec 16, 2001 at 10:10:41AM +0100, Eduard Bloch wrote:
> 
> I wish this would be so. But try yourself - take one of your images and
> specify vga=317 at boot prompt -> BLACK SCREEN.

Exactly.  The mode has switched but the kernel doesn't know how to use
it.  The machine is working just fine otherwise.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Merged 104101 123987. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Olifuc@aol.com:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #64 received at 123987@bugs.debian.org (full text, mbox):

From: Olifuc@aol.com
To: 123987@bugs.debian.org
Subject: Kernel-image and framebuffer/vesa
Date: Sun, 16 Dec 2001 13:13:20 EST
[Message part 1 (text/plain, inline)]
Hi,
why do you not include VESA stuff in the default kernel, I am bothered so 
much...and why can't i load it as module?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Olifuc@aol.com:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #69 received at 123987@bugs.debian.org (full text, mbox):

From: Olifuc@aol.com
To: 123987@bugs.debian.org
Subject: Kernel-image (woody) 2.4.9-1 on PPro/Celeron/PII/PIII
Date: Sun, 16 Dec 2001 14:15:10 EST
[Message part 1 (text/plain, inline)]
Hi,
while trying to install kernel-image 2.4.9-1 on PPro/Celeron/PII/PIII on a 
Toshiba Satellite 2800-100 I found that I'm not able to use a higher video 
mode than 640x480 ... trying to load the module vfb via modconf (in 
kernel/drivers/video) gives me the error message: 
"/lib/modules/2.4.9-686/kernel/drivers/video/vfb.o: init_module: No such 
device or addres" although it is there to be found.
Why is'nt the vfb-support hard linked in the kernel image instead of using 
this as a modul?

Oliver Fuchs 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #74 received at 123987@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: herbert@debian.org
Subject: why no VESA framebuffer?
Date: Sat, 22 Dec 2001 19:04:34 +0100
Hi,

please tell me, which rational reasons prevent you from enabling the
VESA framebuffer support in 2.4.17? It does not make the images much
bigger, it does not mess up anything (afaik), so why not use it? And no,
don't start talking about need for modularised solution, the current
situation is: the driver must be built-in and nobody wants rewrite it -
but many peole want to use the driver as-is. Forcing utopies here
counteracts §4 of the social contract.

Gruss/Regards,
Eduard.
-- 
<solaris-> smoki_: Hab ich ja nicht behauptet oder? KDE hab ich nur
        auf meinem SuSE System... das hab ich strikt von meinem Debian
        getrennt ;)
[..]
<mrvn> Er hat das S-Wort gesagt.
                                  -- #debian.de




Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #79 received at 123987@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 123987@bugs.debian.org
Cc: control@bugs.debian.org
Subject: no reaction?
Date: Sun, 30 Dec 2001 02:01:34 +0100
reassign 123987 kernel-image-2.4.17-k7
severity 123987 serious
reassign 104101 kernel-image-2.4.17-k7
quit

So where is your answer? I made clear that you have a simple way to
fulfill users wishes without breaking things, but you apparently do
not want to change anything.

Gruss/Regards,
Eduard.
-- 
Hast du was von Bill dann Gates, oder auch nicht.




Bug reassigned from package `kernel' to `kernel-image-2.4.17-k7'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.17-k7' to `kernel-image-2.4.17-k7'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel-image-2.4.17-k7. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #90 received at 123987@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Eduard Bloch <edi@gmx.de>, 123987@bugs.debian.org
Subject: Re: Bug#123987: no reaction?
Date: Sun, 30 Dec 2001 12:08:44 +1100
severity 123987 normal
reassign 123987 kernel
quit

On Sun, Dec 30, 2001 at 02:01:34AM +0100, Eduard Bloch wrote:
> reassign 123987 kernel-image-2.4.17-k7
> severity 123987 serious
> reassign 104101 kernel-image-2.4.17-k7
> quit
> 
> So where is your answer? I made clear that you have a simple way to
> fulfill users wishes without breaking things, but you apparently do
> not want to change anything.

Fooling around with bug severities is not going to buy you anything...
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Severity set to `normal'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.17-k7' to `kernel'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#123987; Package kernel. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #101 received at 123987@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Eduard Bloch <edi@gmx.de>, 123987@bugs.debian.org
Subject: Re: Bug#123987: no reaction?
Date: Sun, 30 Dec 2001 12:31:13 +1100
severity 123987 wishlist
reassign 123987 kernel
quit

On Sun, Dec 30, 2001 at 02:19:32AM +0100, Eduard Bloch wrote:
> severity 123987 serious
> reassign 123987 kernel-image-2.4.17-i386
> quit
> 
> > > So where is your answer? I made clear that you have a simple way to
> > > fulfill users wishes without breaking things, but you apparently do
> > > not want to change anything.
> > 
> > Fooling around with bug severities is not going to buy you anything...
> 
> Downgrading the severities to <=normal, closing bug reports, or keeping
> silence in the hope that the issue will be forgotten is also not a good
> way of manage things.

Let's see how long we can keep this going...
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Severity set to `serious'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel' to `kernel-image-2.4.17-i386'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.17-i386' to `kernel'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel' to `kernel-image-2.4.17-k7'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.17-k7' to `kernel-image-2.4.17-k7'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.17-k7' to `kernel'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 104101 123987 134220. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 104101 123987 134220 161931. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel' to `tech-ctte'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `tech-ctte' to `kernel-image-2.4.16-i386'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Herbert Xu <herbert@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <edi@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #132 received at 104101-close@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@debian.org>
To: 104101-close@bugs.debian.org
Subject: Bug#104101: fixed in kernel-image-2.4.20-i386 2.4.20-1
Date: Mon, 02 Dec 2002 20:57:23 -0500
We believe that the bug you reported is fixed in the latest version of
kernel-image-2.4.20-i386, which is due to be installed in the Debian FTP archive:

kernel-build-2.4.20_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-build-2.4.20_2.4.20-1_i386.deb
kernel-headers-2.4.20_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-headers-2.4.20_2.4.20-1_i386.deb
kernel-image-2.4-386_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-386_2.4.20-1_i386.deb
kernel-image-2.4-586tsc_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-586tsc_2.4.20-1_i386.deb
kernel-image-2.4-686-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-686-smp_2.4.20-1_i386.deb
kernel-image-2.4-686_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-686_2.4.20-1_i386.deb
kernel-image-2.4-k6_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-k6_2.4.20-1_i386.deb
kernel-image-2.4-k7-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-k7-smp_2.4.20-1_i386.deb
kernel-image-2.4-k7_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-k7_2.4.20-1_i386.deb
kernel-image-2.4.20-386_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-386_2.4.20-1_i386.deb
kernel-image-2.4.20-586tsc_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-586tsc_2.4.20-1_i386.deb
kernel-image-2.4.20-686-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-686-smp_2.4.20-1_i386.deb
kernel-image-2.4.20-686_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-686_2.4.20-1_i386.deb
kernel-image-2.4.20-i386_2.4.20-1.dsc
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-i386_2.4.20-1.dsc
kernel-image-2.4.20-i386_2.4.20-1.tar.gz
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-i386_2.4.20-1.tar.gz
kernel-image-2.4.20-k6_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-k6_2.4.20-1_i386.deb
kernel-image-2.4.20-k7-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-k7-smp_2.4.20-1_i386.deb
kernel-image-2.4.20-k7_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-k7_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-386_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-386_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-586tsc_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-586tsc_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-686-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-686-smp_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-686_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-686_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-k6_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-k6_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-k7-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-k7-smp_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-k7_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-k7_2.4.20-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 104101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Herbert Xu <herbert@debian.org> (supplier of updated kernel-image-2.4.20-i386 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 30 Nov 2002 19:59:25 +1100
Source: kernel-image-2.4.20-i386
Binary: kernel-image-2.4-686-smp kernel-image-2.4-586tsc kernel-image-2.4.20-686-smp kernel-headers-2.4.20 kernel-pcmcia-modules-2.4.20-686 kernel-pcmcia-modules-2.4.20-k6 kernel-pcmcia-modules-2.4.20-k7 kernel-image-2.4-686 kernel-image-2.4.20-686 kernel-image-2.4-k6 kernel-image-2.4-k7 kernel-build-2.4.20 kernel-image-2.4.20-k7-smp kernel-image-2.4.20-586tsc kernel-pcmcia-modules-2.4.20-k7-smp kernel-image-2.4.20-k6 kernel-pcmcia-modules-2.4.20-386 kernel-image-2.4.20-k7 kernel-image-2.4-k7-smp kernel-image-2.4-386 kernel-pcmcia-modules-2.4.20-686-smp kernel-pcmcia-modules-2.4.20-586tsc kernel-image-2.4.20-386
Architecture: source i386
Version: 2.4.20-1
Distribution: unstable
Urgency: low
Maintainer: Herbert Xu <herbert@debian.org>
Changed-By: Herbert Xu <herbert@debian.org>
Description: 
 kernel-build-2.4.20 - Headers for building modules for Linux 2.4.20
 kernel-headers-2.4.20 - Header files related to Linux kernel version 2.4.20
 kernel-image-2.4-386 - Linux kernel image for version 2.4 on 386.
 kernel-image-2.4-586tsc - Linux kernel image for version 2.4 on Pentium-Classic.
 kernel-image-2.4-686 - Linux kernel image 2.4 on PPro/Celeron/PII/PIII/PIV.
 kernel-image-2.4-686-smp - Linux kernel image 2.4 on PPro/Celeron/PII/PIII/PIV SMP.
 kernel-image-2.4-k6 - Linux kernel image for version 2.4 on AMD K6/K6-II/K6-III.
 kernel-image-2.4-k7 - Linux kernel image for version 2.4 on AMD K7.
 kernel-image-2.4-k7-smp - Linux kernel image for version 2.4 on AMD K7 SMP.
 kernel-image-2.4.20-386 - Linux kernel image for version 2.4.20 on 386.
 kernel-image-2.4.20-586tsc - Linux kernel image for version 2.4.20 on Pentium-Classic.
 kernel-image-2.4.20-686 - Linux kernel image 2.4.20 on PPro/Celeron/PII/PIII/PIV.
 kernel-image-2.4.20-686-smp - Linux kernel image 2.4.20 on PPro/Celeron/PII/PIII/PIV SMP.
 kernel-image-2.4.20-k6 - Linux kernel image for version 2.4.20 on AMD K6/K6-II/K6-III.
 kernel-image-2.4.20-k7 - Linux kernel image for version 2.4.20 on AMD K7.
 kernel-image-2.4.20-k7-smp - Linux kernel image for version 2.4.20 on AMD K7 SMP.
 kernel-pcmcia-modules-2.4.20-386 - Mainstream PCMCIA modules 2.4.20 on 386.
 kernel-pcmcia-modules-2.4.20-586tsc - Mainstream PCMCIA modules 2.4.20 on Pentium-Classic.
 kernel-pcmcia-modules-2.4.20-686 - Mainstream PCMCIA modules 2.4.20 on PPro/Celeron/PII/PIII/PIV.
 kernel-pcmcia-modules-2.4.20-686-smp - Mainstream PCMCIA modules 2.4.20 on PPro/Celeron/PII/PIII/PIV SMP
 kernel-pcmcia-modules-2.4.20-k6 - Mainstream PCMCIA modules 2.4.20 on AMD K6/K6-II/K6-III.
 kernel-pcmcia-modules-2.4.20-k7 - Mainstream PCMCIA modules 2.4.20 on AMD K7.
 kernel-pcmcia-modules-2.4.20-k7-smp - Mainstream PCMCIA modules 2.4.20 on AMD K7 SMP.
Closes: 104101 165405 166986 167732
Changes: 
 kernel-image-2.4.20-i386 (2.4.20-1) unstable; urgency=low
 .
   * New upstream release.
   * Reenabled CONFIG_VIDEO_SELECT since CONFIG_VIDEO_VESA is now conditional
     (closes: #165405).
   * Moved udebs to standalone source package.
   * Enabled CONFIG_HOTPLUG_PCI_ACPI.
   * Enabled CONFIG_VESA_FB as a module (closes: #104101).
   * Depend on initrd-tools 0.1.34 so that VESA FB can be loaded correctly.
   * Added coreutils as an alternative to fileutils.
   * Disabled EPATC8 by default (closes: #166986).
   * Disabled CONFIG_NET_SCH_INGRESS (closes: #167732).
   * Consolidated flavoured kernel header packages into one.
Files: 
 9ff5306e18b13fa89494e94ec85dfd60 1347 devel optional kernel-image-2.4.20-i386_2.4.20-1.dsc
 d60a203f3b4df9ad8ca16dfe5f4d629d 83075 devel optional kernel-image-2.4.20-i386_2.4.20-1.tar.gz
 1e25f05ae66948f63b35eaf01d86a605 4105384 devel optional kernel-headers-2.4.20_2.4.20-1_i386.deb
 3bb3b64dd113321c875e3f9163737796 267508 base optional kernel-pcmcia-modules-2.4.20-386_2.4.20-1_i386.deb
 a3b5765cdfdf0c265d7a835dd1da3df9 4162 base optional kernel-image-2.4-386_2.4.20-1_i386.deb
 e70976e04734d172fa90c1b4c730136f 9678990 base optional kernel-image-2.4.20-386_2.4.20-1_i386.deb
 546009efc9bda92d1ae5917ae214cf9c 264566 base optional kernel-pcmcia-modules-2.4.20-586tsc_2.4.20-1_i386.deb
 6ce2cf7829468ac2a84f817e995202ff 4180 base optional kernel-image-2.4-586tsc_2.4.20-1_i386.deb
 61f693fdbd50ba0ceebf07c01eee1aa8 9620822 base optional kernel-image-2.4.20-586tsc_2.4.20-1_i386.deb
 f28a5f7d1d4a9e0dfca377af3499ca63 264196 base optional kernel-pcmcia-modules-2.4.20-686_2.4.20-1_i386.deb
 f520fabaf752a58f06ba3b454eee595f 4174 base optional kernel-image-2.4-686_2.4.20-1_i386.deb
 a2084ce3fe034405433fdf605694c217 9638202 base optional kernel-image-2.4.20-686_2.4.20-1_i386.deb
 53040172e8af26c543bfbf3e240109b5 269930 base optional kernel-pcmcia-modules-2.4.20-686-smp_2.4.20-1_i386.deb
 ae78679c7dbd0a3766ba2e4cac707154 4188 base optional kernel-image-2.4-686-smp_2.4.20-1_i386.deb
 391d4d9c8e9ad438a3c0091b16b2c87a 9928880 base optional kernel-image-2.4.20-686-smp_2.4.20-1_i386.deb
 cdef95f7614ffb88b99d645a2a37391c 263682 base optional kernel-pcmcia-modules-2.4.20-k6_2.4.20-1_i386.deb
 f59c34cff65ff9dd0f681a455451cb71 4176 base optional kernel-image-2.4-k6_2.4.20-1_i386.deb
 4f4a21f1052bfe7c390afc284c9bc69d 9523492 base optional kernel-image-2.4.20-k6_2.4.20-1_i386.deb
 32075b462a6b833245fc3998bb0d52d6 269566 base optional kernel-pcmcia-modules-2.4.20-k7_2.4.20-1_i386.deb
 8b5dd69032477dc5b19369fde1db9247 4166 base optional kernel-image-2.4-k7_2.4.20-1_i386.deb
 dbea63911cb1d3da04e26185797fac09 9824628 base optional kernel-image-2.4.20-k7_2.4.20-1_i386.deb
 56227d48b2377766fc2efd937c6a0484 274790 base optional kernel-pcmcia-modules-2.4.20-k7-smp_2.4.20-1_i386.deb
 56feeb0e70bdc79158ab7468df5a34c4 4192 base optional kernel-image-2.4-k7-smp_2.4.20-1_i386.deb
 663b449972bb250ec1663a35a95dd08e 10113278 base optional kernel-image-2.4.20-k7-smp_2.4.20-1_i386.deb
 069a23147dd0c52b6e59f1444a8f4d31 1751074 devel optional kernel-build-2.4.20_2.4.20-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: PGPfreeware 5.0i for non-commercial use
Charset: noconv

iQCVAwUBPenYKofMnsf5AzQhAQE5IgP9FIL0eRUwPttTBrZaphbKY7rftEXSuBCF
Uz61Pw7ruWdEF8BpcT663sD5I7GDs2iDvVeSe4lq99qzpoEU5DhjRbwxYDZBjdgv
vL5VfQotSZswIF8B5JzIfj9Vnh/Jgkd2y5DTxkEo/EYZZbP+1cCtJ4OMJ9hZLKqf
1Fq5jt9ipFU=
=Eun1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:14:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.